#!/bin/sh

# Settings

PKG_NAME=gcc
NCORES=`sysctl hw.ncpu | awk '{print $2}'`

# Work out the root directory

pushd ../.. > /dev/null
ROOT_DIR=`pwd`
popd > /dev/null

# Change into build dir

BUILD_DIR=$ROOT_DIR/src/$PKG_NAME

echo "Building in $BUILD_DIR"

cd $BUILD_DIR

# Clean up

make distclean

# Configure

export DYLD_LIBRARY_PATH=$ROOT_DIR/lib:$DYLD_LIBRARY_PATH

./configure --build=x86_64-apple-darwin`uname -r` \
    --prefix=$ROOT_DIR \
    --with-gmp=$ROOT_DIR --with-mpfr=$ROOT_DIR --with-mpc=$ROOT_DIR \
    --enable-languages=c,c++,fortran

# Build

make -j$NCORES

# Install

make install

# Finish
